Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3597)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3600)
@@ -2495,38 +2532,38 @@
     CHARACTER (LEN=*) ::  mode   !< 
 
-    INTEGER(iwp) :: i    !< running index on x-axis
-    INTEGER(iwp) :: j    !< running index on y-axis
-    INTEGER(iwp) :: k    !< vertical index counter
-    INTEGER(iwp) :: sr   !< statistical region
-    INTEGER(iwp) :: tn   !< thread number 
-    INTEGER(iwp) :: n    !<
-    INTEGER(iwp) :: m    !<
-    INTEGER(iwp) :: lpr  !< running index chem spcs
-!    REAL(wp),                                                                                      &
-!    DIMENSION(dots_num_palm+1:dots_max) ::                                                         &
-!          ts_value_l   !< 
+    INTEGER(iwp) ::  i    !< running index on x-axis
+    INTEGER(iwp) ::  j    !< running index on y-axis
+    INTEGER(iwp) ::  k    !< vertical index counter
+    INTEGER(iwp) ::  sr   !< statistical region
+    INTEGER(iwp) ::  tn   !< thread number 
+    INTEGER(iwp) ::  n    !<
+    INTEGER(iwp) ::  m    !<
+    INTEGER(iwp) ::  lpr  !< running index chem spcs
+    !    REAL(wp),                                                                                      &
+    !    DIMENSION(dots_num_palm+1:dots_max) ::                                                         &
+    !          ts_value_l   !< 
 
     IF ( mode == 'profiles' )  THEN
-!
-!--    Sample on how to calculate horizontally averaged profiles of user-
-!--    defined quantities. Each quantity is identified by the index
-!--    "pr_palm+#" where "#" is an integer starting from 1. These
-!--    user-profile-numbers must also be assigned to the respective strings
-!--    given by data_output_pr_cs in routine user_check_data_output_pr.
-!--    hom(:,:,:,:) =  dim-1 = vertical level, dim-2= 1: met-species,2:zu/zw, dim-3 = quantity( e.g.
-!                       w*pt*), dim-4 = statistical region.
+       !
+       !--    Sample on how to calculate horizontally averaged profiles of user-
+       !--    defined quantities. Each quantity is identified by the index
+       !--    "pr_palm+#" where "#" is an integer starting from 1. These
+       !--    user-profile-numbers must also be assigned to the respective strings
+       !--    given by data_output_pr_cs in routine user_check_data_output_pr.
+       !--    hom(:,:,:,:) =  dim-1 = vertical level, dim-2= 1: met-species,2:zu/zw, dim-3 = quantity( e.g.
+       !                       w*pt*), dim-4 = statistical region.
 
        !$OMP DO
        DO  i = nxl, nxr
           DO  j = nys, nyn
-              DO  k = nzb, nzt+1
+             DO  k = nzb, nzt+1
                 DO lpr = 1, cs_pr_count
 
                    sums_l(k,pr_palm+max_pr_user+lpr,tn) = sums_l(k,pr_palm+max_pr_user+lpr,tn) +    &
-                                                 chem_species(cs_pr_index(lpr))%conc(k,j,i) *       &
-                                                 rmask(j,i,sr)  *                                   &
-                                                 MERGE( 1.0_wp, 0.0_wp,                             &
-                                                 BTEST( wall_flags_0(k,j,i), 22 ) )
-                ENDDO                                                                          
+                        chem_species(cs_pr_index(lpr))%conc(k,j,i) *       &
+                        rmask(j,i,sr)  *                                   &
+                        MERGE( 1.0_wp, 0.0_wp,                             &
+                        BTEST( wall_flags_0(k,j,i), 22 ) )
+                ENDDO
              ENDDO
           ENDDO
